Subject: RE: [SIP] RE: Request for information on using T.30/T.37/T.38 wit h SIP/SDP/ RTP

From: David Yon <[email-masked]>
Date: Wed, 01 Nov 2000 17:37:13 -0500

The draft of T.38 Annex-D I've read is here (can anyone point me to a more 
up-to-date draft?):

ftp://standards.nortelnetworks.com/itu_to_ietf/SG8/February00/

Based on that reading, the setup procedure of TCP is inextricably bridged 
between two protocols: SDP and SIP.  It says that SDP is used to declare 
that (a) TCP will be used, and (b) which port number to connect to.  But 
the direction of the call determines the direction of the TCP connection 
(callee must connect to caller, and caller must accept this connection), as 
this is not declared in SDP.  So now instead of having a complete 
description of the TCP behavior solely in the SDP packets, the context of 
the call must be known in order to correctly predict the behavior of the 
endpoints.

The I-D listed below addresses this problem, such that the behavior of the 
endpoints is fully described by the SDP exchange.

That said, T.38 Annex-D and the TCP/SDP I-D do not conflict in any major 
way.  The I-D defines that if the "direction" attribute is omitted, both 
sides are to attempt to establish connections.  If T.38 opts to set up the 
TCP connection based on call context in lieu of the "direction" attribute, 
that's probably not a huge discrepancy.  Anyone disagree?

What is notably missing from my copy if T.38 Annex-D is an example of a 
T.38 SIP exchange that specifies TCP.  The question I have is, what does 
the receiver of the call put into its return SDP packet if it is agreeing 
to use TCP?  Does it say "TCP"?  If so, what port number does it 
specify?  Presumably the sender knows to ignore this port number, yes?

At 04:46 PM 11/1/00 -0500, James Rafferty wrote:
>To all -
>
>The registration from ITU-T SG8 for IANA as related to SDP was related to
>the
>Approval last February of Annex D to T.38, which defines how to use SIP/SDP
>with T.38 for facsimile session control.   T.38 needs to support both UDP
>and TCP modes of operation, hence the need for the SDP extension to support
>TCP (Glenn Parsons of Nortel was the editor).
>
>So, the methods for using TCP within SDP for T.38 session control purposes
>have been  described in detail in the T.38 Annex D.
>
>So, I'd suggest that people who want to write ID's related to this, take a
>look at what is in the T.38 Annex D (TIES users can read it as TD262rev2 in
>the SG8 informal FTP area).   There is also a small amendment to T.38 annex
>D (see Com8-114) which will be reviewed at the SG16 meeting during the week
>of Nov 13-17.
>
>I just checked on the ITU site and notice that T.38 Amendment 2 is not
>published yet, so the TD262rev2 above is the only access to that text at the
>moment.  Hopefully, this will change soon.
>
>James
>
>* -----------------------------------
>James Rafferty
>Senior Product Manager, IP Telephony
>[email-masked]
>
>Brooktrout Technology
>410 First Avenue
>Needham, MA 02494 USA
>Phone:  +1-781-433-9462
>Fax: 781-433-9268
>www.brooktrout.com
>Your Hook into the New Network(SM)
>
> > -----Original Message-----
> > From: David Yon [mailto:[email-masked]]
> > Sent: Monday, October 30, 2000 3:54 PM
> > To: Jean-Francois Mule; [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [SIP] RE: Request for information on using T.30/T.37/T.38
> > with SIP/SDP/ RTP
> >
> >
> > I know that the I-D specifically defers the discussion of
> > media transport
> > using TCP rather than UDPTL, but at the same time it also
> > refers to a new
> > token "TCP" to be registered with IANA for use in SDP.  I am
> > of the opinion
> > that simply specifying "TCP" is insufficient to describe how
> > TCP-based
> > Media Transport is to be negotiated between two endpoints.
> >
> > I've submitted an Internet Draft for the MMUSIC group which
> > will hopefully
> > be available in the IETF I-D area soon, but for the moment it
> > can be read here:
> >
>ftp://ftp.dialout.net/drafts/draft-ietf-mmusic-sdp-tcpmedia-00.txt
>
>So, in regards to the SIP/T.38 I-D, my only comment would be that it take
>into account the I-D on SDP/TCP.  Or at the very least, participate with
>better defining the SDP/TCP I-D such that is meets the needs of SIP/T.38
>when using TCP for Media Transport.  As such, any comments on the I-D above
>would be greatly appreciated.
>
>Again, hopefully the draft will be in the IETF area soon, I don't know why
>it is taking so long to work through the queue.
>
>At 02:26 PM 10/27/00 -0700, Jean-Francois Mule wrote:
> >There is an Internet-Draft on SIP and T.38 fax calls at
> >http://search.ietf.org/internet-drafts/draft-mule-sip-t38callflows-00.txt
> >It deals with how to negotiate a t.38 fax calls using sip as a signaling
> >protocol (including switch over from audio/rtp to data/t38), the SDP
> >attributes that itu-t sg-8 has registered with IANA.  Comments are
> >appreciated on this Internet-Draft.
> >
> >
>
>
>David Yon
>Chief Technical Officer
>Dialout.Net, Inc.
>[email-masked]
>
>

David Yon
Chief Technical Officer
Dialout.Net, Inc.
[email-masked]

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: James Rafferty <[email-masked]>
Date: Wed, 1 Nov 2000 16:46:33 -0500

To all - 

James

Brooktrout Technology
410 First Avenue
Needham, MA 02494 USA
Phone:  +1-781-433-9462
Fax: 781-433-9268
www.brooktrout.com

David Yon
Chief Technical Officer
Dialout.Net, Inc.
[email-masked]